package com.goafanti.cognizance.bo;

import java.math.BigDecimal;

import com.fasterxml.jackson.annotation.JsonFormat;
import com.fasterxml.jackson.annotation.JsonFormat.Shape;

/**
 * 高企认定明细
 */
public class CognizanceDetailBo {
	private String		uid;

	private String		cid;

	/**
	 * 公司名称
	 */
	private String		unitName;

	/**
	 * 公司组织机构代码
	 */
	private String		orgCode;

	/**
	 * 公司地址
	 */
	private String		postalAddress;

	/**
	 * 联系人
	 */
	private String		contacts;

	/**
	 * 技术领域1st
	 */
	private Integer		technicalField1;

	/**
	 * 技术领域2nd
	 */
	private Integer		technicalField2;

	/**
	 * 技术领域3rd
	 */
	private Integer		technicalField3;

	/**
	 * 一类知识产权数量
	 */
	private Integer		firstCatagory;

	/**
	 * 二类知识产权数量
	 */
	private Integer		secondCatagory;

	/**
	 * 职工总数
	 */
	private Integer		firmTotal;

	/**
	 * 科技人员总数
	 */
	private Integer		techTotal;

	/**
	 * 第一年所有者权益(净资产)
	 */
	private BigDecimal	netAsset1;

	/**
	 * 第一年销售收入
	 */
	private BigDecimal	salesRevenue1;

	/**
	 * 第一年利润总额
	 */
	private BigDecimal	grossProfit1;

	/**
	 * 第二年所有者权益(净资产)
	 */
	private BigDecimal	netAsset2;

	/**
	 * 第二年销售收入
	 */
	private BigDecimal	salesRevenue2;

	/**
	 * 第二年利润总额
	 */
	private BigDecimal	grossProfit2;

	/**
	 * 第三年所有者权益(净资产)
	 */
	private BigDecimal	netAsset3;

	/**
	 * 第三年销售收入
	 */
	private BigDecimal	salesRevenue3;

	/**
	 * 第三年利润总额
	 */
	private BigDecimal	grossProfit3;

	/**
	 * 近三年研发费用总额
	 */
	private BigDecimal	researchCost;

	/**
	 * 在中国境内研发费用
	 */
	private BigDecimal	territory;

	/**
	 * 基础研究投入费用
	 */
	private BigDecimal	basicResearchCost;

	/**
	 * 近一年企业总收入
	 */
	private BigDecimal	totalRevenue;

	/**
	 * 近一年高新技术产品(服务)收入
	 */
	private BigDecimal	lastYearRevenue;

	/**
	 * 申请认定前一年内是否发生过重大安全、重大质量或严重环境违法行为
	 */
	private Integer		accident;

	/**
	 * 是否为大额订单
	 */
	private Integer		largeOrder;

	/**
	 * 年份
	 */
	private Integer		year;
	
	/**
	 * 证书编号
	 */
	private String		certificateNumber;
	
	public String getCertificateNumber() {
		return certificateNumber;
	}

	public void setCertificateNumber(String certificateNumber) {
		this.certificateNumber = certificateNumber;
	}

	public String getUid() {
		return uid;
	}

	public void setUid(String uid) {
		this.uid = uid;
	}

	public String getCid() {
		return cid;
	}

	public void setCid(String cid) {
		this.cid = cid;
	}

	public String getUnitName() {
		return unitName;
	}

	public void setUnitName(String unitName) {
		this.unitName = unitName;
	}

	public String getOrgCode() {
		return orgCode;
	}

	public void setOrgCode(String orgCode) {
		this.orgCode = orgCode;
	}

	public String getPostalAddress() {
		return postalAddress;
	}

	public void setPostalAddress(String postalAddress) {
		this.postalAddress = postalAddress;
	}

	public String getContacts() {
		return contacts;
	}

	public void setContacts(String contacts) {
		this.contacts = contacts;
	}

	@JsonFormat(shape = Shape.STRING)
	public Integer getTechnicalField1() {
		return technicalField1;
	}

	public void setTechnicalField1(Integer technicalField1) {
		this.technicalField1 = technicalField1;
	}

	@JsonFormat(shape = Shape.STRING)
	public Integer getTechnicalField2() {
		return technicalField2;
	}

	public void setTechnicalField2(Integer technicalField2) {
		this.technicalField2 = technicalField2;
	}

	@JsonFormat(shape = Shape.STRING)
	public Integer getTechnicalField3() {
		return technicalField3;
	}

	public void setTechnicalField3(Integer technicalField3) {
		this.technicalField3 = technicalField3;
	}

	public Integer getFirstCatagory() {
		return firstCatagory;
	}

	public void setFirstCatagory(Integer firstCatagory) {
		this.firstCatagory = firstCatagory;
	}

	public Integer getSecondCatagory() {
		return secondCatagory;
	}

	public void setSecondCatagory(Integer secondCatagory) {
		this.secondCatagory = secondCatagory;
	}

	public Integer getFirmTotal() {
		return firmTotal;
	}

	public void setFirmTotal(Integer firmTotal) {
		this.firmTotal = firmTotal;
	}

	public Integer getTechTotal() {
		return techTotal;
	}

	public void setTechTotal(Integer techTotal) {
		this.techTotal = techTotal;
	}

	public BigDecimal getNetAsset1() {
		return netAsset1;
	}

	public void setNetAsset1(BigDecimal netAsset1) {
		this.netAsset1 = netAsset1;
	}

	public BigDecimal getSalesRevenue1() {
		return salesRevenue1;
	}

	public void setSalesRevenue1(BigDecimal salesRevenue1) {
		this.salesRevenue1 = salesRevenue1;
	}

	public BigDecimal getGrossProfit1() {
		return grossProfit1;
	}

	public void setGrossProfit1(BigDecimal grossProfit1) {
		this.grossProfit1 = grossProfit1;
	}

	public BigDecimal getNetAsset2() {
		return netAsset2;
	}

	public void setNetAsset2(BigDecimal netAsset2) {
		this.netAsset2 = netAsset2;
	}

	public BigDecimal getSalesRevenue2() {
		return salesRevenue2;
	}

	public void setSalesRevenue2(BigDecimal salesRevenue2) {
		this.salesRevenue2 = salesRevenue2;
	}

	public BigDecimal getGrossProfit2() {
		return grossProfit2;
	}

	public void setGrossProfit2(BigDecimal grossProfit2) {
		this.grossProfit2 = grossProfit2;
	}

	public BigDecimal getNetAsset3() {
		return netAsset3;
	}

	public void setNetAsset3(BigDecimal netAsset3) {
		this.netAsset3 = netAsset3;
	}

	public BigDecimal getSalesRevenue3() {
		return salesRevenue3;
	}

	public void setSalesRevenue3(BigDecimal salesRevenue3) {
		this.salesRevenue3 = salesRevenue3;
	}

	public BigDecimal getGrossProfit3() {
		return grossProfit3;
	}

	public void setGrossProfit3(BigDecimal grossProfit3) {
		this.grossProfit3 = grossProfit3;
	}

	public BigDecimal getResearchCost() {
		return researchCost;
	}

	public void setResearchCost(BigDecimal researchCost) {
		this.researchCost = researchCost;
	}

	public BigDecimal getTerritory() {
		return territory;
	}

	public void setTerritory(BigDecimal territory) {
		this.territory = territory;
	}

	public BigDecimal getBasicResearchCost() {
		return basicResearchCost;
	}

	public void setBasicResearchCost(BigDecimal basicResearchCost) {
		this.basicResearchCost = basicResearchCost;
	}

	public BigDecimal getTotalRevenue() {
		return totalRevenue;
	}

	public void setTotalRevenue(BigDecimal totalRevenue) {
		this.totalRevenue = totalRevenue;
	}

	public BigDecimal getLastYearRevenue() {
		return lastYearRevenue;
	}

	public void setLastYearRevenue(BigDecimal lastYearRevenue) {
		this.lastYearRevenue = lastYearRevenue;
	}

	public Integer getAccident() {
		return accident;
	}

	public void setAccident(Integer accident) {
		this.accident = accident;
	}

	@JsonFormat(shape = Shape.STRING)
	public Integer getLargeOrder() {
		return largeOrder;
	}

	public void setLargeOrder(Integer largeOrder) {
		this.largeOrder = largeOrder;
	}

	public Integer getYear() {
		return year;
	}

	public void setYear(Integer year) {
		this.year = year;
	}

}
